# Uses of Class
org.eclipse.gef.palette.PaletteRoot

Packages that use PaletteRoot
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.ui.palette
org.eclipse.gef.ui.palette.customize
org.eclipse.gef.ui.parts

## Uses of PaletteRoot in org.eclipse.gef

Methods in org.eclipse.gef with parameters of type PaletteRoot
Modifier and Type
Method
Description
`void`
EditDomain.`setPaletteRoot(PaletteRoot root)`
Sets the PalatteRoot for this EditDomain.

## Uses of PaletteRoot in org.eclipse.gef.ui.palette

Methods in org.eclipse.gef.ui.palette that return PaletteRoot
Modifier and Type
Method
Description
`PaletteRoot`
PaletteViewer.`getPaletteRoot()`
Returns the palette's root model.
Methods in org.eclipse.gef.ui.palette with parameters of type PaletteRoot
Modifier and Type
Method
Description
`void`
PaletteViewer.`setPaletteRoot(PaletteRoot root)`
Sets the root for this palette.

## Uses of PaletteRoot in org.eclipse.gef.ui.palette.customize

Methods in org.eclipse.gef.ui.palette.customize that return PaletteRoot
Modifier and Type
Method
Description
`protected PaletteRoot`
PaletteCustomizerDialog.`getPaletteRoot()`
Provides sub-classes with access to the PaletteRoot
Constructors in org.eclipse.gef.ui.palette.customize with parameters of type PaletteRoot
Modifier
Constructor
Description
``
`PaletteCustomizerDialog(Shell shell, PaletteCustomizer customizer, PaletteRoot root)`
Constructs a new customizer dialog.

## Uses of PaletteRoot in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts that return PaletteRoot
Modifier and Type
Method
Description
`protected abstract PaletteRoot`
GraphicalEditorWithFlyoutPalette.`getPaletteRoot()`
Returns the PaletteRoot for the palette viewer.
`protected abstract PaletteRoot`
GraphicalEditorWithPalette.`getPaletteRoot()`
Returns the PaletteRoot for the palette viewer.